BSON_SIZED_NEW(3)

SYNOPSIS

            bson_t *
            bson_sized_new (size_t size);

PARAMETERS

    •   size: The size to pre-allocate for the underlying buffer.

DESCRIPTION

The bson_sized_new() function shall create a new bson_t on the heap with a preallocated buffer. This is useful if you have a good idea of the size of the resulting document.

RETURNS

A newly allocated bson_t that should be freed with bson_destroy().

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc